package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.service.KQBalanceOfLeaveRpService;
import com.engine.kq.cmd.balanceofleaverp.*;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;

/**
 * 员工假期余额报表
 */
public class KQBalanceOfLeaveRpServiceImpl extends Service implements KQBalanceOfLeaveRpService {

    @Override
    public Map<String, Object> getRightMenu(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetRightMenuCmd(params, user));
    }

    @Override
    public Map<String, Object> getTab(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetTabCmd(params, user));
    }

    @Override
    public Map<String, Object> getSearchCondition(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetSearchConditionCmd(params, user));
    }

    @Override
    public Map<String, Object> getSearchList(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetSearchListCmd(params, user));
    }

    @Override
    public Map<String, Object> getUsageRecordDetail(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetUsageRecordDetailCmd(params, user));
    }

    @Override
    public Map<String, Object> getPageInfo(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetPageInfoCmd(params, user));
    }

    @Override
    public Map<String, Object> getDetailPageInfo(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetDetailPageInfoCmd(params, user));
    }

    @Override
    public Map<String, Object> getChangeType(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetChangeTypeCmd(params, user));
    }

    @Override
    public Map<String, Object> exportExcel(Map<String, Object> params, User user, HttpServletRequest request, HttpServletResponse response) {
        return commandExecutor.execute(new ExportExcelCmd(params, user, request, response));
    }
}
